Subject: Re: [DTC PATCH] Remove overreaching semantic tests.

From: Segher Boessenkool <[email-masked]>
Date: Mon, 14 May 2007 14:40:19 +0200

> Exactly - which is why I really don't want to simply tear out this
> checking code.  I've never gotten around to reworking the
> error/warning system so it can sensibly divide things into such
> classes, and keep detecting further warnings after picking up some
> non-fatal ones and so forth.
>
> I'd much prefer you just disable these tests for now, either by
> commenting code out, or removing calls to checking functions.  That
> will make it easier to optionally reinstate later.

IMO it would be better to have a separate tool to do
semantical checking on a DTB.  Until that exists, it
can be helpful to have some checks in the DT compiler.

Segher